Lors de la dernière mise à jour de ma Squeeze j’ai eu le message d’erreur suivant :

W: Erreur de GPG : http://mozilla.debian.net squeeze-backports Release : Les signatures suivantes ne sont pas valables : KEYEXPIRED 1352888501

En cherchant un peu sur internet je suis tombé sur le forum de la crunchbang qui m’a ouvert un début de piste.
J’utilise le dépôt Debian Mozilla pour avoir une version d’iceweasel toujours à jour. C’est en me rendant sur le page du projet, comme le suggéré un utilisateur du forum Crunchbang, que j’ai résolu mon problème, .
Le paquet qui installe la clé GPG, pkg-mozilla-archive-keyring, a été mis à jour et du coup cela provoque cette erreur GPG lors de ma mise à jour.
Pour y remédier j’ai téléchargé la dernière version du paquet directement depuis le site du projet Debian Mozilla, grâce à ce lien : http://mozilla.debian.net/pkg-mozilla-archive-keyring_1.1_all.deb.
Ensuite depuis mon terminal j’ai installé cette nouvelle version.

sudo dpkg -i pkg-mozilla-archive-keyring_1.1_all.deb

J’ai put relancer ma mise à jour, tout s’est déroulé correctement, je suis même passé à la dernière version du noyau via les backports.